import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infusr{
    constructor () {
        this.data = {
						cod:"",			//  USR		.cod
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						seanam:"",			//  User Name		.seanam
						recpan:{
							td2usrlab:"",			//  Label for Short-Userid		.recpan.td2usrlab
							recget:{
								sdamod:{
									seainf:"",			//  		.recpan.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
								},
							},
							ety:{
								nam:"",			//  Entity Name		.recpan.ety.nam
							},
							ownrelcur:"",			//  Own release currency		.recpan.ownrelcur
							prtmod:{
								prtgrd:[],			//  		.recpan.prtmod.prtgrd
							},
							prfmod:{
								genfld:[],			//  		.recpan.prfmod.genfld
							},
						},
						recgrp:{
							rec:{
								extkey:"",			//  User ID		.recgrp.rec.extkey
								lgiflg:"",			//  Login Disabled		.recgrp.rec.lgiflg
								ssnbegdattim:"",			//  Last Session / Login		.recgrp.rec.ssnbegdattim
								ssninr:"",			//  INR of Last Session		.recgrp.rec.ssninr
								ety:"",			//  Default/Initial ETY of User		.recgrp.rec.ety
								pri:"",			//  Priority Flag to Mark Initial Record		.recgrp.rec.pri
								usg:"",			//  Workgroup of User		.recgrp.rec.usg
								quepow:"",			//  Available Capacity		.recgrp.rec.quepow
								relgrp:"",			//  Release Group		.recgrp.rec.relgrp
								relcur:"",			//  Org. Unit		.recgrp.rec.relcur
								relamt:"",			//  Release up to		.recgrp.rec.relamt
								relamt2nd:"",			//  2nd Release Amount		.recgrp.rec.relamt2nd
								etaextkey:"",			//  Entity Address		.recgrp.rec.etaextkey
								oenr:"",			//  Organisationseinheit		.recgrp.rec.oenr
								tel:"",			//  Phone		.recgrp.rec.tel
								fax:"",			//  Fax Number of User		.recgrp.rec.fax
								eml:"",			//  E-mail Address of User		.recgrp.rec.eml
								lstdiadat:"",			//  E-mail 		.recgrp.rec.lstdiadat
								resusrflg:"",			//  Resp.usr		.recgrp.rec.resusrflg
							},
							usrsec:{
								nam:"",			//  Name		.recgrp.usrsec.nam
								secsta:"",			//  Security Status		.recgrp.usrsec.secsta
								inipsw:"",			//  Initial Password		.recgrp.usrsec.inipsw
								prf:"",			//  Profile		.recgrp.usrsec.prf
								uil:"",			//  User Interface Language		.recgrp.usrsec.uil
								dsgflg:"",			//  Designer		.recgrp.usrsec.dsgflg
								td2usr:"",			//  Short User-Id for ModCodes		.recgrp.usrsec.td2usr
								admflg:"",			//  Security Administrator		.recgrp.usrsec.admflg
							},
							ubrgrd:{
								ubr:[],			//  		.recgrp.ubrgrd.ubr
							},
							usrucl:[],			//  		.recgrp.usrucl
						},
						pageId: ""			// ctx的key
				}
    }
}