import I18NStore from "./I18NStore"
import UserContext from "./UserContext"
import Status from "./Status"
import Swift from "./Swift"
import TagsView from "./TagsView"
import Vuex from 'vuex'
import Vue from 'vue'

Vue.use(Vuex)

const store = new Vuex.Store({
    modules: {
      I18n: I18NStore,
      UserContext: UserContext,
      Status: Status,
      Swift: Swift,
      TagsView: TagsView
    }
  })

export default store;